# QVM: Quaternions, Vectors, Matrices

### operator-(mat,mat)

#include <boost/qvm/mat_operations.hpp>

    namespace boost
    {
        namespace qvm
        {
            //Only enabled if:
            //  is_mat<A>::value && is_mat<B>::value &&
            //  mat_traits<A>::rows==mat_traits<B>::rows &&
            //  mat_traits<A>::cols==mat_traits<B>::cols
            template <class A,class B>
            typename deduce_mat2<A,B,mat_traits<A>::rows,mat_traits<A>::cols>::type
            operator-( A const & a, B const & b );
        }
    }

#### Returns:

A matrix of the same size as a and b, with elements the elements of b subtracted from the corresponding elements of a.

See also: boost/qvm/mat_operations.hpp